#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	24.12.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kopeninghours
Summary:	A library for parsing and evaluating OSM opening hours expressions
Name:		ka6-%{kaname}
Version:	24.12.0
Release:	3
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	4f58f0988405d42ea94ed2f4fc8e8911
URL:		https://community.kde.org/
BuildRequires:	Qt6Core-devel >= 5.15.2
BuildRequires:	Qt6Network-devel >= 5.15.2
BuildRequires:	Qt6Qml-devel
BuildRequires:	bison
BuildRequires:	boost-python3-devel
BuildRequires:	cmake >= 3.20
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules >= 5.44
BuildRequires:	kf6-kholidays-devel >= 5.77
BuildRequires:	kf6-ki18n-devel >= 5.77
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	python3-devel >= 3.6
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	shared-mime-info >= 1.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library for parsing and evaluating OSM opening hours expressions.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	ka5-%{kaname}-devel < %{version}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.


%prep
%setup -q -n %{kaname}-%{version}
# correct python components install dir
sed -i "s:set(_install_dir lib:set(_install_dir %{_libdir}:g" PyKOpeningHours/CMakeLists.txt

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DQT_MAJOR_VERSION=6
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKOpeningHours.so.1
%attr(755,root,root) %{_libdir}/libKOpeningHours.so.*.*
%dir %{py3_sitedir}/PyKOpeningHours
%{py3_sitedir}/PyKOpeningHours/PyKOpeningHours.pyi
%attr(755,root,root) %{py3_sitedir}/PyKOpeningHours/PyKOpeningHours.so
%{py3_sitedir}/PyKOpeningHours/__init__.py
%dir %{_libdir}/qt6/qml/org/kde/kopeninghours
%{_libdir}/qt6/qml/org/kde/kopeninghours/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/kopeninghours/kopeninghoursqmlplugin.qmltypes
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/kopeninghours/libkopeninghoursqmlplugin.so
%{_libdir}/qt6/qml/org/kde/kopeninghours/qmldir
%{_datadir}/qlogging-categories6/org_kde_kopeninghours.categories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KOpeningHours
%{_includedir}/kopeninghours
%{_includedir}/kopeninghours_version.h
%{_libdir}/cmake/KOpeningHours
%{_libdir}/libKOpeningHours.so
%changelog
* Tue Dec 24 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-kopeninghours.git;a=log;h=master

* Tue Dec 24 2024 Jan Rękorajski <baggins@pld-linux.org> a72dc3d
- boost 1.85 rebuild

* Sun Dec 15 2024 Jan Rękorajski <baggins@pld-linux.org> a2b428d
- boost rebuild

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 32a9032
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 120d9ee
- updated to 24.08.3

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6d813f2
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 312936b
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 52ed79a
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4e6b24f
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d21ca88
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6e9ffaa
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 59b62d8
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 98730df
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 16a5275
- updated to 24.02.0

